GDBserver

Public Member Functions | Public Attributes | List of all members
pid_pgid_entry Struct Reference

## Public Member Functions
| pid_pgid_entry (PID_T pid_, PID_T pgid_)
bool | is_leader () const
bool | operator< (const pid_pgid_entry &other) const

## Public Attributes
PID_T | pid
PID_T | pgid

## Detailed Description

Definition at line 397 of file linux-osdata.c.

## Constructor & Destructor Documentation

## ◆ pid_pgid_entry()

pid_pgid_entry::pid_pgid_entry | ( | PID_T | pid_,
|  | PID_T | pgid_
| ) |  |
| inline

Definition at line 399 of file linux-osdata.c.

## Member Function Documentation

## ◆ is_leader()

bool pid_pgid_entry::is_leader | ( |  | ) | const
| inline

Definition at line 405 of file linux-osdata.c.

References pgid, and pid.

Referenced by operator<().

## ◆ operator<()

bool pid_pgid_entry::operator< | ( | const pid_pgid_entry & | other | ) | const
| inline

Definition at line 410 of file linux-osdata.c.

References is_leader(), pgid, and pid.

## Member Data Documentation

## ◆ pgid

PID_T pid_pgid_entry::pgid

Definition at line 427 of file linux-osdata.c.

Referenced by is_leader(), and operator<().

## ◆ pid

PID_T pid_pgid_entry::pid

Definition at line 427 of file linux-osdata.c.

Referenced by is_leader(), and operator<().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/nat/linux-osdata.c